import {createGallery} from "./GalleryComponent";

export default {
  title: 'Components/Gallery',
  argTypes: {
    galleryType: {
      name: 'Galerie-Typ',
      control: {type: 'select'},
      options: ['grid', 'masonry', 'first-image'],
    },
  }
}

const Template = ({...args}) => {
  return createGallery({...args});
};

export const StandardGallery = Template.bind({});
StandardGallery.args = {
  galleryType: 'first-image',
}

export const GridGallery = Template.bind({});
GridGallery.args = {
  galleryType: 'grid',
}

export const MasonryGallery = Template.bind({});
MasonryGallery.args = {
  galleryType: 'masonry',
}